#!/bin/bash
###############################################################################
# save current config as default
# 
###############################################################################

host_name="$(/bin/hostname)"
log_format="$(/bin/date +"%b %d %T") ${host_name} ${host_name}: [hotpatch]"
UPDATE_LOG=/home/spectracom/log/update.log
applied=1  # Use a return code, so 0 mean 'true'

target_files=(
        '/etc/dhclient-eth?.conf'
)


for i in ${target_files[@]}; do
	if [ ! -f "${i}" ]; then
		continue
	fi

        cp "/home/spectracom/default${i}" "/home/spectracom/default${i}-ORIG"
        cp "${i}" "/home/spectracom/default${i}"

        echo "${log_format} ${i} saved as default" >> ${UPDATE_LOG}
        
        applied=0
done

if [ "${applied}" -ne 0 ]; then
    echo "${log_format} nothing to do, hotpatch not applied" >> ${UPDATE_LOG}
    exit 0
fi


exit 0 # SWUE_SUCCESS
